Help

0

Odoo[13]: How to solve AttributeError: module 'sass' has no attribute 'compile' when going to start Odoo 13 Community?

Anyone can help me to solve following error? I am facing this error when going login in Odoo 13 database after database creation.

Traceback (most recent call last):
File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 270, in run_wsgi
execute(self.server.app)
File "/usr/local/lib/python3.6/dist-packages/werkzeug/serving.py", line 258, in execute
application_iter = app(environ, start_response)
File "/home/system/workspace/odoo/13.0/odoo/service/server.py", line 414, in app
return self.app(e, s)
File "/home/system/workspace/odoo/13.0/odoo/service/wsgi_server.py", line 142, in application
return application_unproxied(environ, start_response)
File "/home/system/workspace/odoo/13.0/odoo/service/wsgi_server.py", line 117, in application_unproxied
result = odoo.http.root(environ, start_response)
File "/home/system/workspace/odoo/13.0/odoo/http.py", line 1281, in __call__
return self.dispatch(environ, start_response)
File "/home/system/workspace/odoo/13.0/odoo/http.py", line 1251, in __call__
return self.app(environ, start_wrapped)
File "/usr/local/lib/python3.6/dist-packages/werkzeug/wsgi.py", line 766, in __call__
return self.app(environ, start_response)
File "/home/system/workspace/odoo/13.0/odoo/http.py", line 1450, in dispatch
result = ir_http._dispatch()
File "/home/system/workspace/odoo/13.0/addons/web_editor/models/ir_http.py", line 22, in _dispatch
return super(IrHttp, cls)._dispatch()
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/ir_http.py", line 233, in _dispatch
return cls._handle_exception(e)
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/ir_http.py", line 201, in _handle_exception
return request._handle_exception(exception)
File "/home/system/workspace/odoo/13.0/odoo/http.py", line 744, in _handle_exception
return super(HttpRequest, self)._handle_exception(exception)
File "/home/system/workspace/odoo/13.0/odoo/http.py", line 309, in _handle_exception
raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
File "/home/system/workspace/odoo/13.0/odoo/tools/pycompat.py", line 14, in reraise
raise value
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/ir_http.py", line 229, in _dispatch
result = request.dispatch()
File "/home/system/workspace/odoo/13.0/odoo/http.py", line 803, in dispatch
r = self._call_function(**self.params)
File "/home/system/workspace/odoo/13.0/odoo/http.py", line 345, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/home/system/workspace/odoo/13.0/odoo/service/model.py", line 93, in wrapper
return f(dbname, *args, **kwargs)
File "/home/system/workspace/odoo/13.0/odoo/http.py", line 341, in checked_call
result.flatten()
File "/home/system/workspace/odoo/13.0/odoo/http.py", line 1230, in flatten
self.response.append(self.render())
File "/home/system/workspace/odoo/13.0/odoo/http.py", line 1223, in render
return env["ir.ui.view"].render_template(self.template, self.qcontext)
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/ir_ui_view.py", line 1149, in render_template
return self.browse(self.get_view_id(template)).render(values, engine)
File "/home/system/workspace/odoo/13.0/addons/web_editor/models/ir_ui_view.py", line 25, in render
return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/ir_ui_view.py", line 1157, in render
return self.env[engine].render(self.id, qcontext)
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/ir_qweb.py", line 58, in render
result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/qweb.py", line 259, in render
self.compile(template, options)(self, body.append, values or {})
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/qweb.py", line 333, in _compiled_fn
raise e
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/qweb.py", line 331, in _compiled_fn
return compiled(self, append, new, options, log)
File "<template>", line 1, in template_web_login_6

File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/qweb.py", line 333, in _compiled_fn
raise e
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/qweb.py", line 331, in _compiled_fn
return compiled(self, append, new, options, log)
File "<template>", line 1, in template_web_login_layout_12

File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/qweb.py", line 338, in _compiled_fn
raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.models.qweb.QWebException: module 'sass' has no attribute 'compile'
Traceback (most recent call last):
File "/home/system/workspace/odoo/13.0/odoo/tools/cache.py", line 85, in lookup
r = d[key]
File "/home/system/workspace/odoo/13.0/odoo/tools/func.py", line 69, in wrapper
return func(self, *args, **kwargs)
File "/home/system/workspace/odoo/13.0/odoo/tools/lru.py", line 44, in __getitem__
a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7f62b64d2ae8>, 'web.assets_common', 'en_GB', True, False, '', False, False, False, (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/qweb.py", line 331, in _compiled_fn
return compiled(self, append, new, options, log)
File "<template>", line 1, in template_web_frontend_layout_30
File "<decorator-gen-53>", line 2, in _get_asset_nodes
File "/home/system/workspace/odoo/13.0/odoo/tools/cache.py", line 90, in lookup
value = d[key] = self.method(*args, **kwargs)
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/ir_qweb.py", line 299, in _get_asset_nodes
return remains + asset.to_node(css=css, js=js, debug=debug, async_load=async_load, defer_load=defer_load, lazy_load=lazy_load)
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/assetsbundle.py", line 151, in to_node
css_attachments = self.css() or []
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/assetsbundle.py", line 322, in css
css = self.preprocess_css()
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/assetsbundle.py", line 417, in preprocess_css
compiled += self.compile_css(assets[0].compile, source)
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/assetsbundle.py", line 483, in compile_css
compiled = compiler(source)
File "/home/system/workspace/odoo/13.0/odoo/addons/base/models/assetsbundle.py", line 827, in compile
return libsass.compile(
AttributeError: module 'sass' has no attribute 'compile'

Error to render compiling AST
AttributeError: module 'sass' has no attribute 'compile'
Template: web.frontend_layout
Path: /t/html/head/t[1]
Node: <t t-call-assets="web.assets_common" t-js="false"/> - - -

Avatar
Discard
1 Answer
0
Avatar
Sunny Sheth
Best Answer

Hello,

can you please try  with latest pull from Odoo GIT repository ?


Thanks
Sunny Sheth

2 Comments
Avatar
Discard

Hello Sunny Sheth,

Thanks for answer. I have taken latest pull but it doesn't works for me.

I have found solution.

I have tried try pip freeze | grep sass it gives the output lists the sass module next to libsass this was the problem. Removed sass (and optionally reinstalled libsass) fixed the problem.

Avatar
Sunny Sheth
-
Ok

On Mon, Apr 6, 2020, 11:43 AM Hemangi Rupareliya (Jupical) <hemangi.jupical@gmail.com> wrote:

Hello Sunny Sheth,

Thanks for answer. I have taken latest pull but it doesn't works for me.

I have found solution.

I have tried try pip freeze | grep sass it gives the output lists the sass module next to libsass this was the problem. Removed sass (and optionally reinstalled libsass) fixed the problem.

Sent by Odoo S.A. using Odoo.